LibreOffice: XXMLEncryption Interface Reference

LibreOffice LibreOffice 6.4 SDK API Reference

Public Member Functions | List of all members
XXMLEncryption Interface Reference

Interface of XML encryption. More...

`import"XXMLEncryption.idl";`

Inheritance diagram for XXMLEncryption:

## Public Member Functions
com::sun::star::xml::crypto::XXMLEncryptionTemplate | encrypt ([in] com::sun::star::xml::crypto::XXMLEncryptionTemplate aTemplate, [in] com::sun::star::xml::crypto::XSecurityEnvironment aEnvironment) raises ( com::sun::star::xml::crypto::XMLEncryptionException , com::sun::star::uno::SecurityException )
| Perform encryption in the environment of encryption template and context. More...
com::sun::star::xml::crypto::XXMLEncryptionTemplate | decrypt ([in] com::sun::star::xml::crypto::XXMLEncryptionTemplate aTemplate, [in] com::sun::star::xml::crypto::XXMLSecurityContext aContext) raises ( com::sun::star::xml::crypto::XMLEncryptionException , com::sun::star::uno::SecurityException )
| Perform decryption in the environment of encryption template and context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of XML encryption.

This interface represents a XML encryptor or decryptor.

The encryptor or decryptor concrete a key by retrieve security context and encryption template.

In some cases, the encryptor or decryptor can determine and locate the EncryptedKey from the encryption template by dereference the RetrievalMethod inside EncryptedData.

In some cases, the EncryptedKey need to be clearly pointed out by the encryption template.

## Member Function Documentation

## ◆ decrypt()

com::sun::star::xml::crypto::XXMLEncryptionTemplate decrypt | ( | [in] com::sun::star::xml::crypto::XXMLEncryptionTemplate | aTemplate,
|  | [in] com::sun::star::xml::crypto::XXMLSecurityContext | aContext
| ) |  |
raises | ( | com::sun::star::xml::crypto::XMLEncryptionException ,
|  | com::sun::star::uno::SecurityException
| ) |  |

Perform decryption in the environment of encryption template and context.

## ◆ encrypt()

com::sun::star::xml::crypto::XXMLEncryptionTemplate encrypt | ( | [in] com::sun::star::xml::crypto::XXMLEncryptionTemplate | aTemplate,
|  | [in] com::sun::star::xml::crypto::XSecurityEnvironment | aEnvironment
| ) |  |
raises | ( | com::sun::star::xml::crypto::XMLEncryptionException ,
|  | com::sun::star::uno::SecurityException
| ) |  |

Perform encryption in the environment of encryption template and context.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XXMLEncryption.idl